summarylogtreecommitdiffstats
diff options
context:
space:
mode:
authorDaniel Bermond2018-11-10 16:32:10 +0000
committerDaniel Bermond2018-11-10 16:32:10 +0000
commitb0756fe7d47c696c11496933cf238848054b3fff (patch)
tree446a233ee3f0f8fb699f13e4d1792ea81e449658
parent19c3c46deeca025169c87cdc92b680f54f47433d (diff)
downloadaur-b0756fe7d47c696c11496933cf238848054b3fff.tar.gz
Updated to version 415.13
-rw-r--r--.SRCINFO18
-rw-r--r--PKGBUILD13
2 files changed, 15 insertions, 16 deletions
diff --git a/.SRCINFO b/.SRCINFO
index 734f7ffd8cc..6a268b5346f 100644
--- a/.SRCINFO
+++ b/.SRCINFO
@@ -1,15 +1,15 @@
pkgbase = nvidia-utils-beta
pkgdesc = NVIDIA driver utilities and libraries (beta version)
- pkgver = 410.73
- pkgrel = 2
- url = http://www.nvidia.com/
+ pkgver = 415.13
+ pkgrel = 1
+ url = https://www.nvidia.com/
arch = x86_64
license = custom:NVIDIA
options = !strip
- source = http://us.download.nvidia.com/XFree86/Linux-x86_64/410.73/NVIDIA-Linux-x86_64-410.73-no-compat32.run
+ source = https://us.download.nvidia.com/XFree86/Linux-x86_64/415.13/NVIDIA-Linux-x86_64-415.13-no-compat32.run
source = nvidia-drm-outputclass.conf
source = nvidia-utils-beta.sysusers
- sha256sums = 7d6b6c9931f8b89404149a5fdf7a580edae0cd567cc2d4ffe3823b1af02a705d
+ sha256sums = 77f06aefe03d74334da642a452a2986f6da02dbc6c5a8433635178be9dfae07d
sha256sums = 089d6dc247c9091b320c418b0d91ae6adda65e170934d178cdd4e9bd0785b182
sha256sums = d8d1caa5d72c71c6430c2a0d9ce1a674787e9272ccce28b9d5898ca24e60a167
@@ -23,8 +23,8 @@ pkgname = nvidia-utils-beta
optdepends = opencl-nvidia-beta: OpenCL support
optdepends = xorg-server-devel: nvidia-xconfig
optdepends = egl-wayland-git: for alternative, more advanced Wayland library (libnvidia-egl-wayland.so.1.1.0)
- provides = nvidia-utils=410.73
- provides = nvidia-settings=410.73
+ provides = nvidia-utils=415.13
+ provides = nvidia-settings=415.13
provides = libglvnd
provides = vulkan-driver
conflicts = nvidia-utils
@@ -40,7 +40,7 @@ pkgname = nvidia-egl-wayland-beta
pkgname = nvidia-libgl-beta
pkgdesc = NVIDIA driver library symlinks for 'nvidia-utils-beta'
depends = nvidia-utils-beta
- provides = nvidia-libgl=410.73
+ provides = nvidia-libgl=415.13
provides = libgl
provides = libegl
provides = libgles
@@ -53,7 +53,7 @@ pkgname = opencl-nvidia-beta
pkgdesc = NVIDIA's OpenCL implemention for 'nvidia-utils-beta'
depends = zlib
optdepends = opencl-headers: headers necessary for OpenCL development
- provides = opencl-nvidia=410.73
+ provides = opencl-nvidia=415.13
provides = opencl-driver
conflicts = opencl-nvidia
diff --git a/PKGBUILD b/PKGBUILD
index 812ddfb6125..38665829dea 100644
--- a/PKGBUILD
+++ b/PKGBUILD
@@ -6,18 +6,18 @@
pkgbase=nvidia-utils-beta
pkgname=('nvidia-utils-beta' 'nvidia-egl-wayland-beta' 'nvidia-libgl-beta' 'opencl-nvidia-beta')
-pkgver=410.73
-pkgrel=2
+pkgver=415.13
+pkgrel=1
pkgdesc='NVIDIA driver utilities and libraries (beta version)'
arch=('x86_64')
-url='http://www.nvidia.com/'
+url='https://www.nvidia.com/'
license=('custom:NVIDIA')
options=('!strip')
_pkg="NVIDIA-Linux-${CARCH}-${pkgver}-no-compat32"
-source=("http://us.download.nvidia.com/XFree86/Linux-${CARCH}/${pkgver}/${_pkg}.run"
+source=("https://us.download.nvidia.com/XFree86/Linux-${CARCH}/${pkgver}/${_pkg}.run"
'nvidia-drm-outputclass.conf'
'nvidia-utils-beta.sysusers')
-sha256sums=('7d6b6c9931f8b89404149a5fdf7a580edae0cd567cc2d4ffe3823b1af02a705d'
+sha256sums=('77f06aefe03d74334da642a452a2986f6da02dbc6c5a8433635178be9dfae07d'
'089d6dc247c9091b320c418b0d91ae6adda65e170934d178cdd4e9bd0785b182'
'd8d1caa5d72c71c6430c2a0d9ce1a674787e9272ccce28b9d5898ca24e60a167')
@@ -198,8 +198,7 @@ package_nvidia-utils-beta() {
install -D -m755 "libnvidia-fatbinaryloader.so.${pkgver}" -t "${pkgdir}/usr/lib"
# TLS (Thread local storage) support for OpenGL libs
- install -D -m755 "libnvidia-tls.so.${pkgver}" -t "${pkgdir}/usr/lib" # classic
- install -D -m755 "tls/libnvidia-tls.so.${pkgver}" -t "${pkgdir}/usr/lib/tls" # new
+ install -D -m755 "libnvidia-tls.so.${pkgver}" -t "${pkgdir}/usr/lib"
# GPU monitoring and management (1/2)
install -D -m755 "libnvidia-ml.so.${pkgver}" -t "${pkgdir}/usr/lib"